Package com.xebialabs.xlrelease.domain.udm.reporting

## Class BuildRecord

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.facet.Facet
    - - com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
      - - com.xebialabs.xlrelease.domain.udm.reporting.BuildRecord

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(label="Build",
                description="Unified Data Model for Build")
      public class BuildRecord
      extends TaskReportingRecord

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `CONFIGURATION_URI, scope`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildRecord()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBuild()` |
    `java.lang.String` | `getBuild_url()` |
    `java.lang.String` | `getDuration()` |
    `java.util.Date` | `getEndDate()` |
    `java.lang.String` | `getOutcome()` |
    `java.lang.String` | `getProject()` |
    `java.util.Date` | `getStartDate()` |
    `void` | `setBuild​(java.lang.String build)` |
    `void` | `setBuild_url​(java.lang.String build_url)` |
    `void` | `setDuration​(java.lang.String duration)` |
    `void` | `setEndDate​(java.util.Date endDate)` |
    `void` | `setOutcome​(java.lang.String outcome)` |
    `void` | `setProject​(java.lang.String project)` |
    `void` | `setStartDate​(java.util.Date startDate)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

      `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildRecord

          public BuildRecord()

  - ### Method Detail

    - #### getProject

          public java.lang.String getProject()

    - #### setProject

          public void setProject​(java.lang.String project)

    - #### getBuild

          public java.lang.String getBuild()

    - #### setBuild

          public void setBuild​(java.lang.String build)

    - #### getOutcome

          public java.lang.String getOutcome()

    - #### setOutcome

          public void setOutcome​(java.lang.String outcome)

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate​(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate​(java.util.Date endDate)

    - #### getDuration

          public java.lang.String getDuration()

    - #### setDuration

          public void setDuration​(java.lang.String duration)

    - #### getBuild_url

          public java.lang.String getBuild_url()

    - #### setBuild_url

          public void setBuild_url​(java.lang.String build_url)